#   Author        =   @ JevinLevin
#   Description   =   Sets the players back to their checkpoint
#   Called By     =   main + sprint_check


# Sets the player deathType score to a value according to how they died
# If they died to the void its set to 1
scoreboard players set @s[y=0,dy=20,tag=ingame] deathType 1
# If they died to lava its set to 2
scoreboard players set @s[scores={lavaTimer=3..}] deathType 2
# If they died to water its set to 3
scoreboard players set @s[scores={waterTimer=4..}] deathType 3

# Checks if death messages are on and runs the function if they are
    # Stores the global deathMessages score into the player score so that it can be value checked (since you cant check the value of fake names with functions)
    scoreboard players operation @s deathMessages = global deathMessages
    # If death messages are on then it runs the death_messages function
    execute @s[scores={deathMessages=1}] ~ ~ ~ function sprint/death_messages
    # Resets the deathMessages score after its been checked
    scoreboard players reset @s deathMessages

# Runs the respawn function which put the player back to their checkpoint
function sprint/respawn

# Plays artifical death sound
playsound game.player.die @s ~ ~ ~ 100000000000000000000000000000000000000
# Runs the function to play more death sounds cos why the fuck not
function sprint/death_sound

# Removes the players sprinting tag since they arent sprinting anymore
tag @s[tag=!moving] remove sprinting

# Resets all the players kill timers for next time
scoreboard players reset @s killTimer
scoreboard players reset @s lavaTimer
scoreboard players reset @s waterTimer

# Increases the players deaths by 1
scoreboard players add @s deaths 1
scoreboard players operation @s deathDisplay = @s deaths


scoreboard players add @s stageDeaths 1

tag @s add justdied