#   Author        =   @ JevinLevin
#   Description   =   Ran of the player right clicks the start sign. Teleports them to the course and starts the game
#   Called By     =   animation_controllers/clicked_sign


# Teleports the player to the start of the course
tp @s 35 34 5 0 0

# Removes the players lobby tag as they arent in the lobby anymore
tag @s remove lobby

# Gives the ingame tag
tag @s add ingame

# Plays portal spawn sound
playsound block.end_portal.spawn @s 35 34 5 30

# Green 'Start' title
title @s title §a§lStart

# Sets the players level and levelDisplay to 0 so that they appear on the sidebar
scoreboard players set @s level 0
scoreboard players set @s levelDisplay 0

# Reset the players titleCd to 0
scoreboard players set @s titleCd 0

# Clears the players orange wool
clear @s wool 1


# Gives the player the quit nether star
# Because you can give items with nbt, especially not with replaceitem, i have this jank system where i fill the players hotbar with stained glass, then give the star
    # So first it replaces the players hotbar with almost invisible glass, except the middle slot
    replaceitem entity @s slot.hotbar 0 stained_glass 1 7
    replaceitem entity @s slot.hotbar 1 stained_glass 1 7
    replaceitem entity @s slot.hotbar 2 stained_glass 1 7
    replaceitem entity @s slot.hotbar 3 stained_glass 1 7
    replaceitem entity @s slot.hotbar 5 stained_glass 1 7
    replaceitem entity @s slot.hotbar 6 stained_glass 1 7
    replaceitem entity @s slot.hotbar 7 stained_glass 1 7
    replaceitem entity @s slot.hotbar 8 stained_glass 1 7
    # Then it loads a structure at the player, this structure contains the nether star drop item. The player should immediately pick it up in their middle slot
    execute @s ~ ~ ~ structure load quit_item ~ ~ ~

execute @s[tag=disableSprinting] ~ ~ ~ tellraw @a {"rawtext":[{"text":"\n§a§l"},{"selector":"@s"},{"text":"§r§a has started the game on practice mode!\n "}]}
execute @s[tag=!disableSprinting,tag=!withSpeed,tag=!noCheckpoints] ~ ~ ~ tellraw @a {"rawtext":[{"text":"\n§e§l"},{"selector":"@s"},{"text":"§r§e has started the game on normal mode!\n "}]}
execute @s[tag=!disableSprinting,tag=withSpeed,tag=!noCheckpoints] ~ ~ ~ tellraw @a {"rawtext":[{"text":"\n§b§l"},{"selector":"@s"},{"text":"§r§b has started the game on speed mode!\n "}]}
execute @s[tag=!disableSprinting,tag=!withSpeed,tag=noCheckpoints] ~ ~ ~ tellraw @a {"rawtext":[{"text":"\n§c§l"},{"selector":"@s"},{"text":"§r§c has started the game on no checkpoints mode!\n "}]}
execute @s[tag=!disableSprinting,tag=withSpeed,tag=noCheckpoints] ~ ~ ~ tellraw @a {"rawtext":[{"text":"\n§7§l"},{"selector":"@s"},{"text":" §r§ch§6a§es §as§bt§9a§dr§ct§6e§ed §at§bh§9e §dg§ca§6m§ee §ao§bn §l§9U§dL§cT§6I§eM§aA§bT§9E §r§dm§co§6d§ee§a!\n "}]}

tellraw @s[tag=disableSprinting] {"rawtext":[{"text":"§aPractice Mode: §lON\n "}]}
tellraw @s[tag=!disableSprinting] {"rawtext":[{"text":"§aPractice Mode: §l§7OFF\n "}]}

tellraw @s[tag=withSpeed] {"rawtext":[{"text":"§bSpeed II Mode: §lON\n "}]}
tellraw @s[tag=!withSpeed] {"rawtext":[{"text":"§bSpeed II Mode: §l§7OFF\n "}]}

tellraw @s[tag=noCheckpoints] {"rawtext":[{"text":"§cNo Checkpoints Mode: §lON\n "}]}
tellraw @s[tag=!noCheckpoints] {"rawtext":[{"text":"§cNo Checkpoints Mode: §l§7OFF\n "}]}

tag @s remove practiceNotif