#   Author        =   @ JevinLevin
#   Description   =   Ran every tick
#   Called By     =   tick.json


# Runs the join function for players who join for the first time
execute @a[tag=!joined] 35 34 -41 function sprint/join

execute @a[tag=ingame] ~ ~ ~ function sprint/main_player

# Runs the checkpoint function at the location of all checkpoints every tick
execute @a[tag=ingame] ~ ~ ~ execute @e[type=sprint:dummy,tag=checkpoint,tag=!long,r=15] ~ ~-1 ~ function sprint/checkpoint_check
execute @a[tag=ingame] ~ ~ ~ execute @e[type=sprint:dummy,tag=checkpoint,tag=long,r=15] ~-1 ~-1 ~-.5 function sprint/checkpoint_check

# Slow tick (ran 4 ticks a second)
scoreboard players add global slowTick 1
scoreboard players operation @a slowTick =  global slowTick
execute @r[scores={slowTick=4..}] ~ ~ ~ function sprint/main_slow
execute @a[scores={slowTick=4..}] ~ ~ ~ function sprint/main_slow_player

# Super slow tick(ran every 3 seconds)
scoreboard players add global second 1
scoreboard players operation @a second =  global second
# Runs the block_protection functions which stops the player interacting with the map
execute @r[scores={second=40}] ~ ~ ~ function sprint/block_protection1
execute @r[scores={second=80}] ~ ~ ~ function sprint/block_protection2
execute @r[scores={second=120}] ~ ~ ~ function sprint/block_protection3
execute @r[scores={second=160}] ~ ~ ~ function sprint/block_protection4
execute @r[scores={second=200..}] ~ ~ ~ function sprint/block_protection5



scoreboard players add @e[type=sprint:dummy,tag=killCheck] killTimer 1
