#   Author        =   @ JevinLevin
#   Description   =   Ran when the player drops their nether star
#   Called By     =   animation_controllers/quit_game


# Removes the players ingame tag since they arent ingame anymore
tag @s remove ingame
# Gives them the lobby tag instead as they are back in the lobby now
tag @s add lobby 

# Removes their sprinting tag as they arent sprinting anymore
tag @s remove sprinting

# Removes the players secretRoom tag so that they can find the room again next time
tag @s remove secretRoom

# Teleports the player back to the lobby
tp @s 35 34 -41 180 0

# Plays explosion sound
playsound random.explode @s 35 34 -41 30

# Shows red title saying 'You Lose!'
title @s title §l§cYou Lose!

# Shows tellraw in chat for everyone saying that the current player rage quit
tellraw @a {"rawtext":[{"text":"§l§c"},{"selector":"@s"},{"text":" rage quit","bold":false}]}

# Resets the players level and levelDisplay score so it stops appearing on the sidebar
scoreboard players reset @s level
scoreboard players reset @s levelDisplay

# Resets the players timer for next time
scoreboard players reset @s timer

# Resets the players xp to nothing
xp -1000l @s

# Gets rid of the players nether star  and barrierjust incase
clear @s nether_star
clear @s barrier

tag @s remove dropStar
tag @s remove start_quit

scoreboard players reset @s quitCooldown

scoreboard players reset @s stageDeaths

tag @s remove justSkipped

tag @s remove skipped

scoreboard players reset @s skipTotal

scoreboard players reset @s timerDisplay

tag @s remove justdied
scoreboard players reset @s immune