#   Author        =   @ JevinLevin
#   Description   =   Teleports the player back to their spawnpoint
#   Called By     =   kill + start_error


# If the player is playing with no checkpoints and die, then it tps them back to the start
tp @s[tag=noCheckpoints] 35 34 5 0 0
# Also sets their level and levelDisplay score back to 0
scoreboard players set @s[tag=noCheckpoints] level 0
scoreboard players set @s[tag=noCheckpoints] levelDisplay 0
# And finally resets their timer
scoreboard players reset @s[tag=noCheckpoints] timer

# If the player dies in the lobby, tps them back to the lobby island
tp @s[tag=lobby] 35 34 -41 180 0

# Teleports the player back to thei checkpoint
tp @s[tag=!noCheckpoints,scores={level=0}] 35 34 5 0 0
tp @s[tag=!noCheckpoints,scores={level=1}] 35 34 8 0 0
tp @s[tag=!noCheckpoints,scores={level=2}] 35 38 71 0 0
tp @s[tag=!noCheckpoints,scores={level=3}] 35 33 94 0 0
tp @s[tag=!noCheckpoints,scores={level=4}] 35 34 121 0 0
tp @s[tag=!noCheckpoints,scores={level=5}] 36 34 148 0 0
tp @s[tag=!noCheckpoints,scores={level=6}] 35 41 174 0 0
tp @s[tag=!noCheckpoints,scores={level=7}] 35 41 227 0 0
tp @s[tag=!noCheckpoints,scores={level=8}] 35 46 248 0 0
tp @s[tag=!noCheckpoints,scores={level=9}] 35 46 291 0 0
tp @s[tag=!noCheckpoints,scores={level=10}] 35 34 324 0 0
tp @s[tag=!noCheckpoints,scores={level=11}] 35 34 355 0 0
tp @s[tag=!noCheckpoints,scores={level=12}] 35 48 388 0 0
tp @s[tag=!noCheckpoints,scores={level=13}] 35 48 444 0 0
tp @s[tag=!noCheckpoints,scores={level=14}] 35 34 497 0 0
tp @s[tag=!noCheckpoints,scores={level=15}] 35 34 536 0 0
tp @s[tag=!noCheckpoints,scores={level=16}] 35 34 582 0 0
tp @s[tag=!noCheckpoints,scores={level=17}] 35 38 616 0 0
tp @s[tag=!noCheckpoints,scores={level=18}] 35 38 668 0 0
tp @s[tag=!noCheckpoints,scores={level=19}] 35 34 732 0 0
tp @s[tag=!noCheckpoints,scores={level=20}] 35 39 800 0 0
tp @s[tag=!noCheckpoints,scores={level=21}] 35 39 858 0 0
tp @s[tag=!noCheckpoints,scores={level=22}] 36 39 904 0 0
tp @s[tag=!noCheckpoints,scores={level=23}] 36 39 937 0 0
tp @s[tag=!noCheckpoints,scores={level=24}] 34.0 37 997 0 0
tp @s[tag=!noCheckpoints,scores={level=25}] 37.0 38 1046 0 0
tp @s[tag=!noCheckpoints,scores={level=26}] 34 34 1096 0 0
tp @s[tag=!noCheckpoints,scores={level=27}] 35 40 1183 0 0
tp @s[tag=!noCheckpoints,scores={level=28}] 35 35 1285 0 0
tp @s[tag=!noCheckpoints,scores={level=29}] 34 38 1327 0 0
tp @s[tag=!noCheckpoints,scores={level=30}] 35 35 1364 0 0
tp @s[tag=!noCheckpoints,scores={level=31}] 35 35 1422 0 0
tp @s[tag=!noCheckpoints,scores={level=32}] 35 35 1480 0 0
tp @s[tag=!noCheckpoints,scores={level=33}] 35 43 1546 0 0
tp @s[tag=!noCheckpoints,scores={level=34}] 38.0 37 1638 0 0
tp @s[tag=!noCheckpoints,scores={level=35}] 35.0 38 1692 0 0
tp @s[tag=!noCheckpoints,scores={level=36}] 35 37 1792 0 0
tp @s[tag=!noCheckpoints,scores={level=37}] 23.0 47 1811 0 0
tp @s[tag=!noCheckpoints,scores={level=38}] 35.0 54 1843 0 0
tp @s[tag=!noCheckpoints,scores={level=39}] 35 34 2015 0 0
tp @s[tag=!noCheckpoints,scores={level=40}] 35 37 2051 0 0
tp @s[tag=!noCheckpoints,scores={level=41}] 35 34 2078 0 0
tp @s[tag=!noCheckpoints,scores={level=42}] 35 41 2110 0 0
tp @s[tag=!noCheckpoints,scores={level=43}] 35 35 2341 0 0