#   Author        =   @ JevinLevin
#   Description   =   Ran every tick as the player
#   Called By     =   main


# Sets the deathType to the default value of 0
scoreboard players set @s deathType 0

# If the player has started sprinting, but isnt moving currently it increases their killTimer by 1
scoreboard players add @s[tag=sprinting,tag=!moving,tag=!justdied] killTimer 1

# Runs the xp_display function every tick which shows how close the player is to dying in their xp bar
function sprint/xp_display

# Runs the timer function every tick so that the players can see in your actionbar how long they have been playing for
function sprint/timer

# If the player is moving it resets their killTimer
scoreboard players reset @s[tag=moving] killTimer

# If the player is currently in lava, then it increases their lavaTimer score by 1 every tick
execute @s ~ ~ ~ detect ~ ~.1 ~ lava -1 scoreboard players add @s lavaTimer 1
# If the player is no longer in laval it resets their lavaTimer score
execute @s ~ ~ ~ detect ~ ~.1 ~ air -1 scoreboard players reset @s lavaTimer
# If the player has been in lava for 6 ticks it runs the kill function
execute @s[scores={lavaTimer=6..}] ~ ~ ~ function sprint/kill

# If the player has entered a water state, then it increases their waterTimer score by 1 every tick
scoreboard players add @s[scores={waterTimer=1..}] waterTimer 1
# If the player has been in water for 6 ticks it runs the kill function
execute @s[scores={waterTimer=6..}] ~ ~ ~ function sprint/kill

# If the player has stopped sprinting for 13 ticks it runs the kill function
execute @s[scores={killTimer=13..}] ~ ~ ~ function sprint/kill