#   Author        =   @ JevinLevin
#   Description   =   Checks if the player runs over a checkpoint
#   Called By     =   main


# Its a little messy, but this is the best and shortest way i could think of having a checkpoint system that allows for multiple players, not have the same checkpoint trigger multiple times, as well the ability to go backwards
# It also runs different lines depending on in the entity has the long tag, which means it is 2 blocks wide

# Gives the entity the temporary currentCheck tag
tag @s add currentCheck
# Removes the checkpoints level from all players' level
scoreboard players operation @a[r=0.8,tag=ingame] level -= @s[tag=!long] levelHidden
tag @a[tag=ingame,rm=0.801] add outRange
execute @s ~-.5 ~-1 ~-.5 scoreboard players operation @a[tag=outRange,dx=0,dy=4,dz=0,tag=ingame] level -= @s[tag=!long] levelHidden
scoreboard players operation @a[dx=1,dy=4,dz=0,tag=ingame] level -= @s[tag=long] levelHidden
# If the players score reaches 0, then it means they had the same score as the current entity so it gives them the noCheck tag
tag @a[scores={level=0}] add noCheck
# If the player doesnt have the same score as the current entity and is in correct area, it runs the checkpoint function as them
execute @s[tag=!long] ~ ~-1 ~ execute @a[tag=!noCheck,r=0.8,tag=ingame] ~ ~ ~ function sprint/checkpoint
execute @s[tag=!long] ~-.5 ~-1 ~-.5 execute @a[tag=!noCheck,tag=outRange,dx=0,dy=4,dz=0,tag=ingame] ~ ~ ~ function sprint/checkpoint
execute @s[tag=long] ~-1 ~-1 ~-.5 execute @a[tag=!noCheck,dx=1,dy=4,dz=0,tag=ingame] ~ ~ ~ function sprint/checkpoint
# Adds back the entity's level score to the player score so that it goes back to its original value
scoreboard players operation @a[r=0.8,tag=ingame,tag=noCheck] level += @s[tag=!long] levelHidden
execute @s ~-.5 ~-1 ~-.5 scoreboard players operation @a[tag=noCheck,tag=outRange,dx=0,dy=4,dz=0,tag=ingame] level += @s[tag=!long] levelHidden
scoreboard players operation @a[dx=1,dy=4,dz=0,tag=ingame,tag=noCheck] level += @s[tag=long] levelHidden
# Removes the noCheck tag which was used if the player had a score of 0
tag @a remove noCheck

tag @a remove outRange

# Removes the currentCheck tag
tag @s remove currentCheck