#   Author        =   @ JevinLevin
#   Description   =   Ran when a player dies, finds their level, generates a random number then chooses a death message tellraw to display for everyone
#   Called By     =   kill


# Death message type
# 0 = Default
# 1 = Void
# 2 = Lava
# 3 = Water


# Void Deaths
scoreboard players random @s[scores={deathType=1}] random 1 11
execute @s[scores={deathType=1,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is falling forever."}]}
execute @s[scores={deathType=1,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" has entered the void."}]}
execute @s[scores={deathType=1,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" fell off the map."}]}
execute @s[scores={deathType=1,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed the platform, by a lot."}]}
execute @s[scores={deathType=1,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" has reached maximum air time."}]}
execute @s[scores={deathType=1,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is flying!"}]}
execute @s[scores={deathType=1,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7\"AHHHHHHHHHHHHHHHH\" - said "},{"selector":"@s"}]}
execute @s[scores={deathType=1,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their elytra."}]}
execute @s[scores={deathType=1,random=9}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is walking on air, wait nevermind."}]}
execute @s[scores={deathType=1,random=10}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot they couldn't fly."}]}
execute @s[scores={deathType=1,random=11}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" ate the void."}]}

# Lava Deaths
scoreboard players random @s[scores={deathType=2}] random 1 17
execute @s[scores={deathType=2,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got too hot."}]}
execute @s[scores={deathType=2,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" became crispy."}]}
execute @s[scores={deathType=2,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" melted."}]}
execute @s[scores={deathType=2,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was set on fire."}]}
execute @s[scores={deathType=2,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" stubbed their toe, in lava..."}]}
execute @s[scores={deathType=2,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" took a swim in burning hot magma."}]}
execute @s[scores={deathType=2,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" drowned in lava."}]}
execute @s[scores={deathType=2,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" turned into ash."}]}
execute @s[scores={deathType=2,random=9}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" needs to take a nice cold shower."}]}
execute @s[scores={deathType=2,random=10}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is smoking hot."}]}
execute @s[scores={deathType=2,random=11}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is lit."}]}
execute @s[scores={deathType=2,random=12}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" drunk too much lava."}]}
execute @s[scores={deathType=2,random=13}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" absorbed too much heat."}]}
execute @s[scores={deathType=2,random=14}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot how hot lava is."}]}
execute @s[scores={deathType=2,random=15}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't take the heat."}]}
execute @s[scores={deathType=2,random=16}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was disintergrated."}]}
execute @s[scores={deathType=2,random=17}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was defeated by the heat."}]}

# Water Deaths
scoreboard players random @s[scores={deathType=3}] random 1 19
execute @s[scores={deathType=3,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" drowned."}]}
execute @s[scores={deathType=3,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot how to swim."}]}
execute @s[scores={deathType=3,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" has soggy shoes."}]}
execute @s[scores={deathType=3,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is wet."}]}
execute @s[scores={deathType=3,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" went for a dip in the dangerous water."}]}
execute @s[scores={deathType=3,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot to bring their swim suit."}]}
execute @s[scores={deathType=3,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" needed a snorkel."}]}
execute @s[scores={deathType=3,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" has gone diving."}]}
execute @s[scores={deathType=3,random=9}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" swallowed too much water."}]}
execute @s[scores={deathType=3,random=10}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've brought a boat."}]}
execute @s[scores={deathType=3,random=11}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" sunk."}]}
execute @s[scores={deathType=3,random=12}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" wishes they could float."}]}
execute @s[scores={deathType=3,random=13}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" wasn't buoyant enough."}]}
execute @s[scores={deathType=3,random=14}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" needs a towel."}]}
execute @s[scores={deathType=3,random=15}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" absorbed too much water."}]}
execute @s[scores={deathType=3,random=16}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should use a towel to dry off."}]}
execute @s[scores={deathType=3,random=17}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't hold their breath any longer."}]}
execute @s[scores={deathType=3,random=18}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is allergic to water."}]}
execute @s[scores={deathType=3,random=19}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7\"ebddfmsbjnkugaes\" said "},{"selector":"@s"},{"text":" as they drowned."}]}


# Dying in the lobby
scoreboard players random @s[tag=lobby] random 1 6
execute @s[tag=lobby,scores={random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" died before the game even started."}]}
execute @s[tag=lobby,scores={random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" jumped off the lobby."}]}
execute @s[tag=lobby,scores={random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is already dead."}]}
execute @s[tag=lobby,scores={random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" can't even survive the lobby."}]}
execute @s[tag=lobby,scores={random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in the lobby."}]}
execute @s[tag=lobby,scores={random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got confused and jumped into the void for some reason."}]}


# Level 0
scoreboard players random @s[scores={deathType=0,level=0}] random 1 4
execute @s[scores={deathType=0,level=0,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" died before even making it to the first checkpoint."}]}
execute @s[scores={deathType=0,level=0,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is already dead."}]}
execute @s[scores={deathType=0,level=0,random=3..4}] ~ ~ ~ function sprint/generic_death

# Level 1
scoreboard players random @s[scores={deathType=0,level=1}] random 1 8
execute @s[scores={deathType=0,level=1,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" stopped to sniff the flowers."}]}
execute @s[scores={deathType=0,level=1,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is lying with the flowers."}]}
execute @s[scores={deathType=0,level=1,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was stung by a bee."}]}
execute @s[scores={deathType=0,level=1,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a flower."}]}
execute @s[scores={deathType=0,level=1,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was distracted by all the pretty flowers."}]}
execute @s[scores={deathType=0,level=1,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 2
scoreboard players random @s[scores={deathType=0,level=2}] random 1 9
execute @s[scores={deathType=0,level=2,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" slammed into a wall."}]}
execute @s[scores={deathType=0,level=2,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" stepped on a creaky plank."}]}
execute @s[scores={deathType=0,level=2,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their keys."}]}
execute @s[scores={deathType=0,level=2,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" bumped their head very hard."}]}
execute @s[scores={deathType=0,level=2,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck inside."}]}
execute @s[scores={deathType=0,level=2,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in their home."}]}
execute @s[scores={deathType=0,level=2,random=7..9}] ~ ~ ~ function sprint/generic_death

# Level 3
scoreboard players random @s[scores={deathType=0,level=3}] random 1 6
execute @s[scores={deathType=0,level=3,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck underground."}]}
execute @s[scores={deathType=0,level=3,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in a cave."}]}
execute @s[scores={deathType=0,level=3,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their torches."}]}
execute @s[scores={deathType=0,level=3,random=4..6}] ~ ~ ~ function sprint/generic_death

# Level 4-5
scoreboard players random @s[scores={deathType=0,level=4..5}] random 1 12
execute @s[scores={deathType=0,level=4..5,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on the sand."}]}
execute @s[scores={deathType=0,level=4..5,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was pricked by a cactus."}]}
execute @s[scores={deathType=0,level=4..5,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" became a sand castle."}]}
execute @s[scores={deathType=0,level=4..5,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their sandals."}]}
execute @s[scores={deathType=0,level=4..5,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't handle the desert heat."}]}
execute @s[scores={deathType=0,level=4..5,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in the desert."}]}
execute @s[scores={deathType=0,level=4..5,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" burned their feet on the sand."}]}
execute @s[scores={deathType=0,level=4..5,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was too dehydrated."}]}
execute @s[scores={deathType=0,level=4..5,random=9}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've used suncream."}]}
execute @s[scores={deathType=0,level=4..5,random=10..12}] ~ ~ ~ function sprint/generic_death

# Level 6
scoreboard players random @s[scores={deathType=0,level=6}] random 1 8
execute @s[scores={deathType=0,level=6,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" didn't mind the gap."}]}
execute @s[scores={deathType=0,level=6,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed the gap."}]}
execute @s[scores={deathType=0,level=6,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in the desert temple."}]}
execute @s[scores={deathType=0,level=6,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck in a desert temple."}]}
execute @s[scores={deathType=0,level=6,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" fell into a trap."}]}
execute @s[scores={deathType=0,level=6,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 7-9
scoreboard players random @s[scores={deathType=0,level=7..9}] random 1 14
execute @s[scores={deathType=0,level=7..9,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on the red sand."}]}
execute @s[scores={deathType=0,level=7..9,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was pricked by a cactus."}]}
execute @s[scores={deathType=0,level=7..9,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" became a sand castle."}]}
execute @s[scores={deathType=0,level=7..9,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their sandals."}]}
execute @s[scores={deathType=0,level=7..9,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't handle the desert heat."}]}
execute @s[scores={deathType=0,level=7..9,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in the desert."}]}
execute @s[scores={deathType=0,level=7..9,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" burned their feet on the sand."}]}
execute @s[scores={deathType=0,level=7..9,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was too dehydrated."}]}
execute @s[scores={deathType=0,level=7..9,random=9}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a dead bush."}]}
execute @s[scores={deathType=0,level=7..9,random=10}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've used suncream."}]}
execute @s[scores={deathType=0,level=7..9,random=11}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" stepped on a sea pickle."}]}
execute @s[scores={deathType=0,level=7..9,random=12..14}] ~ ~ ~ function sprint/generic_death

# Level 10
scoreboard players random @s[scores={deathType=0,level=10}] random 1 7
execute @s[scores={deathType=0,level=10,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on the gravel."}]}
execute @s[scores={deathType=0,level=10,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" became a part of the bone blocks."}]}
execute @s[scores={deathType=0,level=10,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got stuck in a cobweb."}]}
execute @s[scores={deathType=0,level=10,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got caught in a dead bush."}]}
execute @s[scores={deathType=0,level=10,random=5..7}] ~ ~ ~ function sprint/generic_death

# Level 11
scoreboard players random @s[scores={deathType=0,level=11}] random 1 9
execute @s[scores={deathType=0,level=11,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on the gravel."}]}
execute @s[scores={deathType=0,level=11,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" became a part of the bone blocks."}]}
execute @s[scores={deathType=0,level=11,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got stuck in a cobweb."}]}
execute @s[scores={deathType=0,level=11,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got caught in a dead bush."}]}
execute @s[scores={deathType=0,level=11,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is scared of heights."}]}
execute @s[scores={deathType=0,level=11,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't climb any higher."}]}
execute @s[scores={deathType=0,level=11,random=7..9}] ~ ~ ~ function sprint/generic_death

# Level 12
scoreboard players random @s[scores={deathType=0,level=12}] random 1 11
execute @s[scores={deathType=0,level=12,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a minecart rail."}]}
execute @s[scores={deathType=0,level=12,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was blinded by the diamonds."}]}
execute @s[scores={deathType=0,level=12,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've brought a torch."}]}
execute @s[scores={deathType=0,level=12,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck underground."}]}
execute @s[scores={deathType=0,level=12,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tried to go mining."}]}
execute @s[scores={deathType=0,level=12,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in the cave."}]}
execute @s[scores={deathType=0,level=12,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" bumped in a minecart."}]}
execute @s[scores={deathType=0,level=12,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in the mineshaft."}]}
execute @s[scores={deathType=0,level=12,random=9..11}] ~ ~ ~ function sprint/generic_death

# Level 13
scoreboard players random @s[scores={deathType=0,level=13}] random 1 5
execute @s[scores={deathType=0,level=13,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck in the ocean monument."}]}
execute @s[scores={deathType=0,level=13,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was blinded by the prismarine."}]}
execute @s[scores={deathType=0,level=13,random=3..5}] ~ ~ ~ function sprint/generic_death

# Level 14-15
scoreboard players random @s[scores={deathType=0,level=14..15}] random 1 6
execute @s[scores={deathType=0,level=14..15,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped in mud."}]}
execute @s[scores={deathType=0,level=14..15,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in the swamp."}]}
execute @s[scores={deathType=0,level=14..15,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed a lily pad."}]}
execute @s[scores={deathType=0,level=14..15,random=4..6}] ~ ~ ~ function sprint/generic_death

# Level 16
scoreboard players random @s[scores={deathType=0,level=16}] random 1 8
execute @s[scores={deathType=0,level=16,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" go stuck in a tree."}]}
execute @s[scores={deathType=0,level=16,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is not a monkey."}]}
execute @s[scores={deathType=0,level=16,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" bumped into some bamboo."}]}
execute @s[scores={deathType=0,level=16,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" failed to climb the tree."}]}
execute @s[scores={deathType=0,level=16,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck in the jungle."}]}
execute @s[scores={deathType=0,level=16,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 17
scoreboard players random @s[scores={deathType=0,level=17}] random 1 8
execute @s[scores={deathType=0,level=17,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" didn't mind the gap."}]}
execute @s[scores={deathType=0,level=17,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed the jump."}]}
execute @s[scores={deathType=0,level=17,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't make it to the winter."}]}
execute @s[scores={deathType=0,level=17,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in a jungle temple."}]}
execute @s[scores={deathType=0,level=17,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is trapped in the jungle temple."}]}
execute @s[scores={deathType=0,level=17,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 18
scoreboard players random @s[scores={deathType=0,level=18}] random 1 10
execute @s[scores={deathType=0,level=18,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their coat."}]}
execute @s[scores={deathType=0,level=18,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" froze to death."}]}
execute @s[scores={deathType=0,level=18,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped in the snow."}]}
execute @s[scores={deathType=0,level=18,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is now buried underneath the snow."}]}
execute @s[scores={deathType=0,level=18,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" slipped on the ice."}]}
execute @s[scores={deathType=0,level=18,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" didn't bring proper snow boots."}]}
execute @s[scores={deathType=0,level=18,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" shivered too much."}]}
execute @s[scores={deathType=0,level=18,random=8..10}] ~ ~ ~ function sprint/generic_death

# Level 19
scoreboard players random @s[scores={deathType=0,level=19}] random 1 11
execute @s[scores={deathType=0,level=19,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their coat."}]}
execute @s[scores={deathType=0,level=19,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" froze to death."}]}
execute @s[scores={deathType=0,level=19,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on the ice."}]}
execute @s[scores={deathType=0,level=19,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" bumped into some ice."}]}
execute @s[scores={deathType=0,level=19,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" slipped on the ice."}]}
execute @s[scores={deathType=0,level=19,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" didn't bring proper ice boots."}]}
execute @s[scores={deathType=0,level=19,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" shivered too much."}]}
execute @s[scores={deathType=0,level=19,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've brought an ice pick."}]}
execute @s[scores={deathType=0,level=19,random=9..11}] ~ ~ ~ function sprint/generic_death

# Level 20
scoreboard players random @s[scores={deathType=0,level=20}] random 1 7
execute @s[scores={deathType=0,level=20,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" found the BAD in the BADLANDS."}]}
execute @s[scores={deathType=0,level=20,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've brought a map."}]}
execute @s[scores={deathType=0,level=20,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck in a cave."}]}
execute @s[scores={deathType=0,level=20,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" misses the daylight."}]}
execute @s[scores={deathType=0,level=20,random=5..7}] ~ ~ ~ function sprint/generic_death

# Level 21
scoreboard players random @s[scores={deathType=0,level=21}] random 1 7
execute @s[scores={deathType=0,level=21,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" ate a funny looking mushroom."}]}
execute @s[scores={deathType=0,level=21,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a mushroom."}]}
execute @s[scores={deathType=0,level=21,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" didn't like the smell of mycelium."}]}
execute @s[scores={deathType=0,level=21,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" bumped into a big mushroom."}]}
execute @s[scores={deathType=0,level=21,random=5..7}] ~ ~ ~ function sprint/generic_death

# Level 22
scoreboard players random @s[scores={deathType=0,level=22}] random 1 6
execute @s[scores={deathType=0,level=22,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" didn't mind the gap."}]}
execute @s[scores={deathType=0,level=22,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed the jump."}]}
execute @s[scores={deathType=0,level=22,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" bumped into a wall."}]}
execute @s[scores={deathType=0,level=22,random=4..6}] ~ ~ ~ function sprint/generic_death

# Level 23
scoreboard players random @s[scores={deathType=0,level=23}] random 1 8
execute @s[scores={deathType=0,level=23,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" thought they were a slime."}]}
execute @s[scores={deathType=0,level=23,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" didn't bounce properly."}]}
execute @s[scores={deathType=0,level=23,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got stuck to a slime block."}]}
execute @s[scores={deathType=0,level=23,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" hates the colour green."}]}
execute @s[scores={deathType=0,level=23,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed the slime block."}]}
execute @s[scores={deathType=0,level=23,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 24
scoreboard players random @s[scores={deathType=0,level=24}] random 1 8
execute @s[scores={deathType=0,level=24,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was stung by a bee."}]}
execute @s[scores={deathType=0,level=24,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was buzzed to death."}]}
execute @s[scores={deathType=0,level=24,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got stuck to a honey block."}]}
execute @s[scores={deathType=0,level=24,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" went bzzzzzzzzzz."}]}
execute @s[scores={deathType=0,level=24,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" drowned in honey."}]}
execute @s[scores={deathType=0,level=24,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 25
scoreboard players random @s[scores={deathType=0,level=25}] random 1 22
execute @s[scores={deathType=0,level=25,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" drowned."}]}
execute @s[scores={deathType=0,level=25,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot how to swim."}]}
execute @s[scores={deathType=0,level=25,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" has soggy shoes."}]}
execute @s[scores={deathType=0,level=25,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is wet."}]}
execute @s[scores={deathType=0,level=25,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" went for a dip in the dangerous water."}]}
execute @s[scores={deathType=0,level=25,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot to bring their swim suit."}]}
execute @s[scores={deathType=0,level=25,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" needed a snorkel."}]}
execute @s[scores={deathType=0,level=25,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" has gone diving."}]}
execute @s[scores={deathType=0,level=25,random=9}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" swallowed too much water."}]}
execute @s[scores={deathType=0,level=25,random=10}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've brought a boat."}]}
execute @s[scores={deathType=0,level=25,random=11}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" sunk."}]}
execute @s[scores={deathType=0,level=25,random=12}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" wishes they could float."}]}
execute @s[scores={deathType=0,level=25,random=13}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" wasn't buoyant enough."}]}
execute @s[scores={deathType=0,level=25,random=14}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" needs a towel."}]}
execute @s[scores={deathType=0,level=25,random=15}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" absorbed too much water."}]}
execute @s[scores={deathType=0,level=25,random=16}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should use a towel to dry off."}]}
execute @s[scores={deathType=0,level=25,random=17}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't hold their breath any longer."}]}
execute @s[scores={deathType=0,level=25,random=18}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is alergic to water."}]}
execute @s[scores={deathType=0,level=25,random=19}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7\"ebddfmsbjnkugaes\" said "},{"selector":"@s"},{"text":" as they drowned."}]}
execute @s[scores={deathType=0,level=25,random=20..22}] ~ ~ ~ function sprint/generic_death

# Level 26
scoreboard players random @s[scores={deathType=0,level=26}] random 1 6
execute @s[scores={deathType=0,level=26,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is down in the mines."}]}
execute @s[scores={deathType=0,level=26,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck underground."}]}
execute @s[scores={deathType=0,level=26,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in a cave."}]}
execute @s[scores={deathType=0,level=26,random=4..6}] ~ ~ ~ function sprint/generic_death

# Level 27
scoreboard players random @s[scores={deathType=0,level=27}] random 1 6
execute @s[scores={deathType=0,level=27,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got sunburnt."}]}
execute @s[scores={deathType=0,level=27,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got too thirsty."}]}
execute @s[scores={deathType=0,level=27,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was lost on the savanna."}]}
execute @s[scores={deathType=0,level=27,random=4..6}] ~ ~ ~ function sprint/generic_death

# Level 28
scoreboard players random @s[scores={deathType=0,level=28}] random 1 7
execute @s[scores={deathType=0,level=28,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was pricked by a rose bush."}]}
execute @s[scores={deathType=0,level=28,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" slipped on the moss."}]}
execute @s[scores={deathType=0,level=28,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed the jump."}]}
execute @s[scores={deathType=0,level=28,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a berry bush."}]}
execute @s[scores={deathType=0,level=28,random=5..7}] ~ ~ ~ function sprint/generic_death

# Level 29
scoreboard players random @s[scores={deathType=0,level=29}] random 1 9
execute @s[scores={deathType=0,level=29,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was pricked by a berry bush."}]}
execute @s[scores={deathType=0,level=29,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't climb the tree."}]}
execute @s[scores={deathType=0,level=29,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed the jump."}]}
execute @s[scores={deathType=0,level=29,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a berry bush."}]}
execute @s[scores={deathType=0,level=29,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got a splinter."}]}
execute @s[scores={deathType=0,level=29,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" WOOD not be happy."}]}
execute @s[scores={deathType=0,level=29,random=7..9}] ~ ~ ~ function sprint/generic_death

# Level 30
scoreboard players random @s[scores={deathType=0,level=30}] random 1 6
execute @s[scores={deathType=0,level=30,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their house keys."}]}
execute @s[scores={deathType=0,level=30,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got a splinter."}]}
execute @s[scores={deathType=0,level=30,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should REBIRCH the internet to find out how to parkour."}]}
execute @s[scores={deathType=0,level=30,random=4..6}] ~ ~ ~ function sprint/generic_death

# Level 31
scoreboard players random @s[scores={deathType=0,level=31}] random 1 8
execute @s[scores={deathType=0,level=31,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've brought a map."}]}
execute @s[scores={deathType=0,level=31,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in the maze."}]}
execute @s[scores={deathType=0,level=31,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't find the right direction."}]}
execute @s[scores={deathType=0,level=31,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" bumped into a tree."}]}
execute @s[scores={deathType=0,level=31,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got a splinter."}]}
execute @s[scores={deathType=0,level=31,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 32
scoreboard players random @s[scores={deathType=0,level=32}] random 1 7
execute @s[scores={deathType=0,level=32,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck underground."}]}
execute @s[scores={deathType=0,level=32,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost in a cave."}]}
execute @s[scores={deathType=0,level=32,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" forgot their torches."}]}
execute @s[scores={deathType=0,level=32,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" almost made it to the Nether."}]}
execute @s[scores={deathType=0,level=32,random=5..7}] ~ ~ ~ function sprint/generic_death

# Level 33-35
scoreboard players random @s[scores={deathType=0,level=33..35}] random 1 12
execute @s[scores={deathType=0,level=33..35,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is NETHER beating this map."}]}
execute @s[scores={deathType=0,level=33..35,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a crimson fungus."}]}
execute @s[scores={deathType=0,level=33..35,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is very hot."}]}
execute @s[scores={deathType=0,level=33..35,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got caught in warped roots."}]}
execute @s[scores={deathType=0,level=33..35,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on nether wart."}]}
execute @s[scores={deathType=0,level=33..35,random=6}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got too hot."}]}
execute @s[scores={deathType=0,level=33..35,random=7}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've stayed in the Overworld."}]}
execute @s[scores={deathType=0,level=33..35,random=8}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a crimson root."}]}
execute @s[scores={deathType=0,level=33..35,random=9}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" needs an ice pack."}]}
execute @s[scores={deathType=0,level=33..35,random=10..12}] ~ ~ ~ function sprint/generic_death

# Level 36-37
scoreboard players random @s[scores={deathType=0,level=36..37}] random 1 7
execute @s[scores={deathType=0,level=36..37,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" could not avoid the lava."}]}
execute @s[scores={deathType=0,level=36..37,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is NETHER beating this map."}]}
execute @s[scores={deathType=0,level=36..37,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've stayed in the Overworld."}]}
execute @s[scores={deathType=0,level=36..37,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" needs an ice pack."}]}
execute @s[scores={deathType=0,level=36..37,random=5..7}] ~ ~ ~ function sprint/generic_death

# Level 38
scoreboard players random @s[scores={deathType=0,level=38}] random 1 6
execute @s[scores={deathType=0,level=38,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" became one of the bone blocks."}]}
execute @s[scores={deathType=0,level=38,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was lost in the darkness."}]}
execute @s[scores={deathType=0,level=38,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" was spooked by the wither skulls."}]}
execute @s[scores={deathType=0,level=38,random=4..6}] ~ ~ ~ function sprint/generic_death

# Level 39
scoreboard players random @s[scores={deathType=0,level=39}] random 1 7
execute @s[scores={deathType=0,level=39,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a chorus fruit."}]}
execute @s[scores={deathType=0,level=39,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck in the End."}]}
execute @s[scores={deathType=0,level=39,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" slipped on the end stone."}]}
execute @s[scores={deathType=0,level=39,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've stayed in the Overworld."}]}
execute @s[scores={deathType=0,level=39,random=5..7}] ~ ~ ~ function sprint/generic_death

# Level 40
scoreboard players random @s[scores={deathType=0,level=40}] random 1 7
execute @s[scores={deathType=0,level=40,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is now living in an end city."}]}
execute @s[scores={deathType=0,level=40,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck in the End."}]}
execute @s[scores={deathType=0,level=40,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" slipped on the end stone."}]}
execute @s[scores={deathType=0,level=40,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've stayed in the Overworld."}]}
execute @s[scores={deathType=0,level=40,random=5..7}] ~ ~ ~ function sprint/generic_death

# Level 41
scoreboard players random @s[scores={deathType=0,level=41}] random 1 8
execute @s[scores={deathType=0,level=41,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" tripped on a chorus fruit."}]}
execute @s[scores={deathType=0,level=41,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is stuck in the End."}]}
execute @s[scores={deathType=0,level=41,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" slipped on the end stone."}]}
execute @s[scores={deathType=0,level=41,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" should've stayed in the Overworld."}]}
execute @s[scores={deathType=0,level=41,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" got lost."}]}
execute @s[scores={deathType=0,level=41,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 42
scoreboard players random @s[scores={deathType=0,level=42}] random 1 8
execute @s[scores={deathType=0,level=42,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" didn't make it to the top."}]}
execute @s[scores={deathType=0,level=42,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is so close..."}]}
execute @s[scores={deathType=0,level=42,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" couldn't find the way up."}]}
execute @s[scores={deathType=0,level=42,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" experienced too much gravity."}]}
execute @s[scores={deathType=0,level=42,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" bumped into the obsidian."}]}
execute @s[scores={deathType=0,level=42,random=6..8}] ~ ~ ~ function sprint/generic_death

# Level 43
scoreboard players random @s[scores={deathType=0,level=43}] random 1 8
execute @s[scores={deathType=0,level=43,random=1}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" experienced  §l§cR  §6A  §eI  §aN  §bB  §9O  §dW  §R§7."}]}
execute @s[scores={deathType=0,level=43,random=2}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" is nearly there."}]}
execute @s[scores={deathType=0,level=43,random=3}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" discovered a new colour."}]}
execute @s[scores={deathType=0,level=43,random=4}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" saw too many colours."}]}
execute @s[scores={deathType=0,level=43,random=5}] ~ ~ ~ tellraw @a {"rawtext":[{"text":"§7"},{"selector":"@s"},{"text":" missed the jump."}]}
execute @s[scores={deathType=0,level=43,random=6..8}] ~ ~ ~ function sprint/generic_death