#   Author        =   @ JevinLevin
#   Description   =   Ran of the player right clicks the checkpoints sign. Removes or adds their noCheckpoints tag
#   Called By     =   animation_controllers/clicked_sign


# Swaps the players checkpoint tag depending on what they had before
    # First gives them a temp tag if they currently have checkpoints. It needs to do this to make sure that if the player loses the tag, they dont immediately reget it
    tag @s[tag=!noCheckpoints] add temp
    # If they have no checkpoints, then it removes the noCheckpoints tag
    tag @s[tag=noCheckpoints] remove noCheckpoints
    # If they were given the temp tag at the start, meaning that they have checkpoints, it gives them the noCheckpoints tag
    tag @s[tag=temp] add noCheckpoints
    # Removes the temp tag
    tag @s remove temp

# Plays ding sound
playsound random.levelup @s ~ ~ ~ 3 2

# Clears the wool given to check if they click the sign
clear @s wool 4