#   Author        =   @ JevinLevin
#   Description   =   Ran of the player right clicks the speed sign. Gives or removes their speed
#   Called By     =   animation_controllers/clicked_sign


# Inverts the players withSpeed tag
    # Gives them a temp tag if they dont currently have speed
    tag @s[tag=!withSpeed] add temp
    # If the player does currently have speed then it removes the withSpeed tag
    tag @s[tag=withSpeed] remove withSpeed
    # If the player has the temp tag, meaning they didnt have the speed tag, then it gives them the speed tag
    tag @s[tag=temp] add withSpeed
    # Removes the temp tag from the player
    tag @s remove temp

# Clears the players speed if they lose their tag
effect @s[tag=!withSpeed] clear

# Plays dragonbreath sound, the pitch changes depending on the players tag
playsound bottle.dragonbreath @s[tag=withSpeed] ~ ~ ~ 3 1
playsound bottle.dragonbreath @s[tag=!withSpeed] ~ ~ ~ 3 1.25

# Clears the players light blue wool
clear @s wool 3