# Runs the sprint_check function as all players ingame
function sprint/sprint_check

# Runs the start_check function at an offset of all the checkpoints
execute @e[type=sprint:dummy,tag=checkpoint,r=10] ~-10 ~-10 ~4 function sprint/start_check

# Checks if a player reaches the end, and if so runs the win function as them
execute @e[type=sprint:dummy,tag=end,r=10] ~-.5 ~ ~-.5 execute @a[dx=0,dy=1,dz=0,tag=ingame] ~ ~ ~ function sprint/win

# Runs all the transition functions
    # If the player needs to travel to the nether
    execute @s[x=36,y=42,z=1521.75,dx=2,dy=2,dz=3,tag=ingame] ~ ~ ~ function sprint/to_nether
    # If the player needs to travel to the end
    execute @s[x=35,y=54,z=1917,dx=2,dy=0,dz=2,tag=ingame] ~ ~ ~ function sprint/to_end
    # If the player needs to travel to the rainbow final level
    execute @s[x=33,y=72,z=2119,dx=4,dy=0,dz=4,tag=ingame] ~ ~ ~ function sprint/to_rainbow

# Runs the secret_room function if a player enters the secret area
execute @s[x=34,y=40,z=407,dx=2,dy=2,dz=2,tag=!secretRoom] ~ ~ ~ function spriZnt/secret_room

# Checks if the player is at a specific area on level 25, and if so resets the killTimer so they cant die
scoreboard players reset @s[x=34,y=36,z=1096,dx=0,dy=5,dz=0,tag=ingame] killTimer

scoreboard players reset @a[tag=tempImmunityE] killTimer
scoreboard players reset @a[tag=tempImmunityR] killTimer

# Makes sure the player cant stand still in water on level 25 because bedrock swimming is jank
execute @s[scores={level=25},tag=ingame] ~ ~ ~ detect ~ ~ ~ water -1 scoreboard players reset @s killTimer

# Decreases the players titleCd score every tick
scoreboard players remove @a[scores={titleCd=1..}] titleCd 1

scoreboard players remove @s[scores={quitCooldown=1..}] quitCooldown 1
tag @s[scores={quitCooldown=0}] remove start_quit
scoreboard players reset @s[scores={quitCooldown=0}] quitCooldown

scoreboard players remove @s[scores={skipCooldown=1..}] skipCooldown 1
tag @s[scores={skipCooldown=0}] remove start_skip
scoreboard players reset @s[scores={skipCooldown=0}] skipCooldown


execute @s[tag=justSkipped] ~ ~ ~ detect ~ ~-1 ~ redstone_lamp 0 playsound block.false_permissions @s ~ ~ ~ 3000
execute @s[tag=justSkipped] ~ ~ ~ detect ~ ~-1 ~ redstone_lamp 0 tag @s remove justSkipped

tag @s[scores={immune=7..}] remove justdied
scoreboard players reset @s[scores={immune=7..}] immune