#   Author        =   @ JevinLevin
#   Description   =   Shows timer actionbar title for all players ingame
#   Called By     =   sprint_check


# Adds one to the timer score every tick
scoreboard players add @s timer 1

# Reset the extraS and M scores from last tick
scoreboard players reset @s extraS
scoreboard players reset @s extraM

# First it stores the timer score into the seconds score
scoreboard players operation seconds timer = @s timer
# Then it divides it by 20 to convert it from ticks into seconds
scoreboard players operation seconds timer /= "20" Numbers

# Next it stores the seconds into the minutes score
scoreboard players operation @s minutes = seconds timer
# Then it divided the minutes score by 60 to convert the seconds into minutes
scoreboard players operation @s minutes /= "60" Numbers

# Stores the seconds score into the players seconds score
scoreboard players operation @s seconds = seconds timer

scoreboard players operation @s timerDisplay = @s seconds 

# Mods it by 60 to find the difference from the minute
scoreboard players operation @s seconds %= "60" Numbers

# If the players minute or seconds score is single digit then it sets the according extraM/S score to 0 so that the number of digits is the same in the timer title
scoreboard players set @a[scores={minutes=..9}] extraM 0
scoreboard players set @a[scores={seconds=..9}] extraS 0

# Displays actionbar title showing the players minutes and seconds so far
titleraw @s[scores={titleCd=0}] actionbar {"rawtext":[{"text":"§7Time: §l§a"},{"score":{"name":"@s","objective":"extraM"}},{"score":{"name":"@s","objective":"minutes"}},{"text":":"},{"score":{"name":"@s","objective":"extraS"}},{"score":{"name":"@s","objective":"seconds"}}]}