#   Author        =   @ JevinLevin
#   Description   =   Shows how close the player is to dying on their xp bar
#   Called By     =   sprint_check


# Resets the players xp to nothing
xp -1000l @s

# Sets to 151 levels
xp 151l @s

# Depending on how close the player is to death, it increases their xp bar
    # Stop sprinting
    xp 100 @s[scores={killTimer=1}]
    xp 200 @s[scores={killTimer=2}]
    xp 300 @s[scores={killTimer=3}]
    xp 400 @s[scores={killTimer=4}]
    xp 500 @s[scores={killTimer=5}]
    xp 600 @s[scores={killTimer=6}]
    xp 700 @s[scores={killTimer=7}]
    xp 800 @s[scores={killTimer=8}]
    xp 900 @s[scores={killTimer=9}]
    xp 1000 @s[scores={killTimer=10}]
    xp 1100 @s[scores={killTimer=11}]
    xp 1200 @s[scores={killTimer=12}]
    # In Water
    xp 240 @s[scores={waterTimer=1}]
    xp 480 @s[scores={waterTimer=2}]
    xp 720 @s[scores={waterTimer=3}]
    xp 960 @s[scores={waterTimer=4}]
    xp 1200 @s[scores={waterTimer=5}]
    # In Lava
    xp 240 @s[scores={lavaTimer=1}]
    xp 480 @s[scores={lavaTimer=2}]
    xp 720 @s[scores={lavaTimer=3}]
    xp 960 @s[scores={lavaTimer=4}]
    xp 1200 @s[scores={lavaTimer=5}]

# Sets the level back to 0 at the end so that no number appears over the xp bar
xp -151l @s
